Index: sasmodels/models/correlation_length.py
===================================================================
--- sasmodels/models/correlation_length.py	(revision 326281fd9fb5294db84c5fa753d0c94b8f26f78d)
+++ sasmodels/models/correlation_length.py	(revision 0cc31e163b64eca925abbec18fe8338cc1fc7450)
@@ -16,5 +16,5 @@
 incoherent background B and the two exponents n and m are used as fitting
 parameters. (Respectively $porod\_scale$, $lorentz\_scale$, $background$, $exponent\_p$ and 
-$exponent\_l$ in the parameter list.) The remaining parameter \xi is a correlation 
+$exponent\_l$ in the parameter list.) The remaining parameter \ |xi|\  is a correlation 
 length for the polymer chains. Note that when m=2 this functional form becomes the 
 familiar Lorentzian function. Some interpretation of the values of A and C may be 
Index: sasmodels/models/elliptical_cylinder.py
===================================================================
--- sasmodels/models/elliptical_cylinder.py	(revision 74fd96f3cb65aab96542ed09140f082ada4911d6)
+++ sasmodels/models/elliptical_cylinder.py	(revision 0cc31e163b64eca925abbec18fe8338cc1fc7450)
@@ -12,5 +12,5 @@
 .. figure:: img/elliptical_cylinder_geometry.png
 
-   Elliptical cylinder geometry $a$ = $r_{minor}$ and \nu = $axis\_ratio$ = $r_{major} / r_{minor}$
+   Elliptical cylinder geometry $a$ = $r_{minor}$ and \ |nu|\  = $axis\_ratio$ = $r_{major} / r_{minor}$
 
 The function calculated is
Index: sasmodels/models/fuzzy_sphere.py
===================================================================
--- sasmodels/models/fuzzy_sphere.py	(revision aa2edb2b2fb550caed0506dcf63bc7eac7e1779a)
+++ sasmodels/models/fuzzy_sphere.py	(revision 0cc31e163b64eca925abbec18fe8338cc1fc7450)
@@ -19,5 +19,5 @@
 
     A(q) = \frac{3\left[\sin(qR) - qR \cos(qR)\right]}{(qR)^3}
-           \exp\left(\frac{-(o_{fuzzy}q)^2}{2}\right)
+           \exp\left(\frac{-(\sigma_{fuzzy}q)^2}{2}\right)
 
 Here *|A(q)|*:sup:`2`\  is the form factor, *P(q)*. The scale is equivalent to the
@@ -26,5 +26,6 @@
 solvent.
 
-Poly-dispersion in radius and in fuzziness is provided for.
+Poly-dispersion in radius and in fuzziness is provided for, though the fuzziness
+must be kept much smaller than the sphere radius for meaningful results.
 
 
@@ -65,5 +66,5 @@
 or just volume fraction for absolute scale data
 radius: radius of the solid sphere
-fuzziness = the STD of the height of fuzzy interfacial
+fuzziness = the standard deviation of the fuzzy interfacial
 thickness (ie., so-called interfacial roughness)
 sld: the SLD of the sphere
@@ -76,8 +77,8 @@
 # pylint: disable=bad-whitespace,line-too-long
 # ["name", "units", default, [lower, upper], "type","description"],
-parameters = [["sld",         "1e-6/Ang^2",  1, [-inf, inf], "",       "Layer scattering length density"],
-              ["solvent_sld", "1e-6/Ang^2",  3, [-inf, inf], "",       "Solvent scattering length density"],
+parameters = [["sld",         "1e-6/Ang^2",  1, [-inf, inf], "",       "Particle scattering length density"],
+              ["sld_solvent", "1e-6/Ang^2",  3, [-inf, inf], "",       "Solvent scattering length density"],
               ["radius",      "Ang",        60, [0, inf],    "volume", "Sphere radius"],
-              ["fuzziness",   "Ang",        10, [0, inf],    "",       "The STD of the height of fuzzy interfacial"],
+              ["fuzziness",   "Ang",        10, [0, inf],    "",       "std deviation of Gaussian convolution for interface (must be << radius)"],
              ]
 # pylint: enable=bad-whitespace,line-too-long
@@ -95,5 +96,5 @@
     const double bes = sph_j1c(qr);
     const double qf = q*fuzziness;
-    const double fq = bes * (sld - solvent_sld) * form_volume(radius) * exp(-0.5*qf*qf);
+    const double fq = bes * (sld - sld_solvent) * form_volume(radius) * exp(-0.5*qf*qf);
     return 1.0e-4*fq*fq;
     """
@@ -102,5 +103,5 @@
     // never called since no orientation or magnetic parameters.
     //return -1.0;
-    return Iq(sqrt(qx*qx + qy*qy), sld, solvent_sld, radius, fuzziness);
+    return Iq(sqrt(qx*qx + qy*qy), sld, sld_solvent, radius, fuzziness);
     """
 
@@ -114,5 +115,5 @@
 
 demo = dict(scale=1, background=0.001,
-            sld=1, solvent_sld=3,
+            sld=1, sld_solvent=3,
             radius=60,
             fuzziness=10,
@@ -121,5 +122,5 @@
 
 oldname = "FuzzySphereModel"
-oldpars = dict(sld='sldSph', solvent_sld='sldSolv', radius='radius', fuzziness='fuzziness')
+oldpars = dict(sld='sldSph', sld_solvent='sldSolv', radius='radius', fuzziness='fuzziness')
 
 
